[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.ColRowDeleted

Performs actions when a column or a row is deleted from the control.

## Declaration

Source position: grids.pas line 1419

`protected procedure TCustomDrawGrid.ColRowDeleted(`
`IsColumn: Boolean;`
`index: Integer`
`); override;`

## Arguments

`IsColumn` |  | True when a column is affected in the method. False when a row is affected.
`index` |  | Ordinal position for the column or row deleted in the method.

## Description

ColRowDeleted is an overridden method used to remove the specified column or row, and perform a notification for the change.

IsColumn indicates whether a column or a row is affected in the method. When set to True, a column is removed. Otherwise, a row is removed.

Index contains the column or row number removed in the method.

ColRowDeleted calls the DeleteColRow method in Grid to remove the pointers in the virtual grid for the column or row. NotifyColRowChange is called to perform a notification for the action by signalling the OnColRowDeleted event handler (when assigned).

ColRowDeleted in called from the DoOPDeleteColRow method (in the ancestor class) after removing the column or row in Index from the internal list of column widths, and updating the cached grid information in GCache.

## See also

TCustomGrid.ColRowDeleted |  | Performs actions when a column or a row is deleted from the control.